Package fr.gouv.vitam.functional.administration.common

# Class Ontology

java.lang.Object
org.bson.Document
fr.gouv.vitam.common.database.server.mongodb.VitamDocument<Ontology>
fr.gouv.vitam.functional.administration.common.Ontology

All Implemented Interfaces:
  `Serializable`, `Map<String,Object>`, `org.bson.conversions.Bson`

public class Ontology extends VitamDocument<Ontology>
Defines an ontology collection.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `APIFIELD`
  the ontology api field
  `static final String`
  `COLLECTIONS`
  Collections Tag
  `static final String`
  `CREATIONDATE`
  the creation date of the ontology
  `static final String`
  `DESCRIPTION`
  the ontology description
  `static final String`
  `IDENTIFIER`
  the ontology identifier
  `static final String`
  `LAST_UPDATE`
  the last update of ontology
  `static final String`
  `ORIGIN`
  the ontology origin
  `static final String`
  `SEDAFIELD`
  the ontology seda field
  `static final String`
  `SHORT_NAME`
  ShortName Tag
  `static final String`
  `STRING_SIZE`
  StringSize Tag
  `static final String`
  `TYPE`
  the ontology type
  `static final String`
  `TYPE_DETAIL`
  TypeDetail Tag

  ### Fields inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `ES_FILTER_OUT, ID, IMPLEMENTATIONVERSION, SCORE, SEDAVERSION, TENANT_ID, VERSION`

  ### Fields inherited from interface org.bson.conversions.Bson

  `DEFAULT_CODEC_REGISTRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Ontology()`
  Empty Constructor
  `Ontology(com.fasterxml.jackson.databind.JsonNode content)`
  `Ontology(Integer tenantId)`
  `Ontology(String content)`
  `Ontology(org.bson.Document document)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApiField()`
  The ontology api field
  `List<String>`
  `getCollections()`
  `String`
  `getCreationdate()`
  `String`
  `getDescription()`
  Get the ontology description
  `String`
  `getIdentifier()`
  The ontology id
  `String`
  `getLastupdate()`
  `OntologyOrigin`
  `getOrigin()`
  Get the ontology origin
  `String`
  `getSedaField()`
  The ontology seda field
  `String`
  `getShortName()`
  Get the ontology ShortName
  `StringSize`
  `getStringSize()`
  `OntologyType`
  `getType()`
  Get the ontology type
  `TypeDetail`
  `getTypeDetail()`
  `VitamDocument<Ontology>`
  `newInstance(com.fasterxml.jackson.databind.JsonNode content)`
  Make a new instance of the document with the given json
  `Ontology`
  `setApiField(String apiField)`
  Set or change the ontology api field
  `Ontology`
  `setCollections(List<String> collections)`
  Set or change the ontology collections
  `Ontology`
  `setCreationdate(String creationdate)`
  `Ontology`
  `setDescription(String description)`
  Set or change the profile ontology
  `Ontology`
  `setId(String id)`
  `Ontology`
  `setIdentifier(String identifier)`
  Set or change the ontology id, the identifier must be unique by tenant
  `Ontology`
  `setLastupdate(String lastupdate)`
  `Ontology`
  `setOrigin(OntologyOrigin origin)`
  Set or change the ontology origin
  `Ontology`
  `setSedaField(String sedaField)`
  Set or change the ontology seda field
  `Ontology`
  `setShortName(String shortName)`
  Set or change the ontology shortName
  `Ontology`
  `setStringSize(StringSize stringSize)`
  `Ontology`
  `setType(OntologyType type)`
  Set or change the ontology type
  `Ontology`
  `setTypeDetail(TypeDetail typeDetail)`

  ### Methods inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `checkId, getConcernedDiffLines, getId, getOriginalDiffLines, getTenantId, getUnifiedDiff, getVersion, toString, toStringDirect`

  ### Methods inherited from class org.bson.Document

  `append, clear, containsKey, containsValue, entrySet, equals, get, get, get, getBoolean, getBoolean, getDate, getDouble, getEmbedded, getEmbedded, getInteger, getInteger, getList, getList, getLong, getObjectId, getString, hashCode, isEmpty, keySet, parse, parse, put, putAll, remove, size, toBsonDocument, toJson, toJson, toJson, toJson, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bson.conversions.Bson

  `toBsonDocument`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### IDENTIFIER

    public static final String IDENTIFIER
    the ontology identifier
    See Also:
      - Constant Field Values

  - ### SEDAFIELD

    public static final String SEDAFIELD
    the ontology seda field
    See Also:
      - Constant Field Values

  - ### APIFIELD

    public static final String APIFIELD
    the ontology api field
    See Also:
      - Constant Field Values

  - ### DESCRIPTION

    public static final String DESCRIPTION
    the ontology description
    See Also:
      - Constant Field Values

  - ### TYPE

    public static final String TYPE
    the ontology type
    See Also:
      - Constant Field Values

  - ### ORIGIN

    public static final String ORIGIN
    the ontology origin
    See Also:
      - Constant Field Values

  - ### SHORT_NAME

    public static final String SHORT_NAME
    ShortName Tag
    See Also:
      - Constant Field Values

  - ### COLLECTIONS

    public static final String COLLECTIONS
    Collections Tag
    See Also:
      - Constant Field Values

  - ### CREATIONDATE

    public static final String CREATIONDATE
    the creation date of the ontology
    See Also:
      - Constant Field Values

  - ### LAST_UPDATE

    public static final String LAST_UPDATE
    the last update of ontology
    See Also:
      - Constant Field Values

  - ### TYPE_DETAIL

    public static final String TYPE_DETAIL
    TypeDetail Tag
    See Also:
      - Constant Field Values

  - ### STRING_SIZE

    public static final String STRING_SIZE
    StringSize Tag
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Ontology

    public Ontology()
    Empty Constructor

  - ### Ontology

    public Ontology(org.bson.Document document)
    Constructor
    Parameters:
      `document` - data in format Document to create ontology

  - ### Ontology

    public Ontology(com.fasterxml.jackson.databind.JsonNode content)
    Parameters:
      `content` - in format JsonNode to create ontology

  - ### Ontology

    public Ontology(String content)
    Parameters:
      `content` - in format String to create ontology

  - ### Ontology

    public Ontology(Integer tenantId)
    Parameters:
      `tenantId` - the working tenant

- ## Method Details

  - ### newInstance

    public VitamDocument<Ontology> newInstance(com.fasterxml.jackson.databind.JsonNode content)
    Description copied from class: `VitamDocument`
    Make a new instance of the document with the given json
    Specified by:
      `newInstance` in class `VitamDocument<Ontology>`
    Parameters:
      `content` - document structure as json
    Returns:
      new document with the json as content

  - ### setId

    public Ontology setId(String id)
    Parameters:
      `id` - the id of ontology
    Returns:

  - ### getIdentifier

    public String getIdentifier()
    The ontology id
    Returns:
      the id of the ontology

  - ### setIdentifier

    public Ontology setIdentifier(String identifier)
    Set or change the ontology id, the identifier must be unique by tenant
    Parameters:
      `identifier` -
    Returns:
      this

  - ### getSedaField

    public String getSedaField()
    The ontology seda field
    Returns:
      the seda field of the ontology

  - ### setSedaField

    public Ontology setSedaField(String sedaField)
    Set or change the ontology seda field
    Parameters:
      `sedaField` -
    Returns:
      this

  - ### getApiField

    public String getApiField()
    The ontology api field
    Returns:
      the api field of the ontology

  - ### setApiField

    public Ontology setApiField(String apiField)
    Set or change the ontology api field
    Parameters:
      `apiField` -
    Returns:
      this

  - ### getDescription

    public String getDescription()
    Get the ontology description
    Returns:
      this

  - ### setDescription

    public Ontology setDescription(String description)
    Set or change the profile ontology
    Parameters:
      `description` - to set to contact
    Returns:
      this

  - ### getType

    public OntologyType getType()
    Get the ontology type
    Returns:
      status of the ontology

  - ### setType

    public Ontology setType(OntologyType type)
    Set or change the ontology type
    Parameters:
      `type` - to set
    Returns:
      this

  - ### getOrigin

    public OntologyOrigin getOrigin()
    Get the ontology origin
    Returns:
      origin of the ontology

  - ### setOrigin

    public Ontology setOrigin(OntologyOrigin origin)
    Set or change the ontology origin
    Parameters:
      `origin` - to set
    Returns:
      this

  - ### getShortName

    public String getShortName()
    Get the ontology ShortName
    Returns:
      shortName of the ontology

  - ### setShortName

    public Ontology setShortName(String shortName)
    Set or change the ontology shortName
    Parameters:
      `shortName` - to set
    Returns:
      this

  - ### getCollections

    public List<String> getCollections()

  - ### setCollections

    public Ontology setCollections(List<String> collections)
    Set or change the ontology collections
    Parameters:
      `collections` - to set
    Returns:
      this

  - ### getCreationdate

    public String getCreationdate()
    Returns:
      creation date of ontology

  - ### setCreationdate

    public Ontology setCreationdate(String creationdate)
    Parameters:
      `creationdate` - to set
    Returns:
      this

  - ### getLastupdate

    public String getLastupdate()
    Returns:
      last update of profile

  - ### setLastupdate

    public Ontology setLastupdate(String lastupdate)
    Parameters:
      `lastupdate` - to set
    Returns:
      this

  - ### getTypeDetail

    public TypeDetail getTypeDetail()
    Returns:
      typeDetail of ontology

  - ### setTypeDetail

    public Ontology setTypeDetail(TypeDetail typeDetail)
    Parameters:
      `typeDetail` - to set
    Returns:
      this

  - ### getStringSize

    public StringSize getStringSize()
    Returns:
      string size of ontology

  - ### setStringSize

    public Ontology setStringSize(StringSize stringSize)
    Parameters:
      `stringSize` - to set
    Returns:
      this